- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
sort
Complete List of ArrayFire Functions ArrayFire Functions by Category » Vector Algorithms » | Sort operations

Sort input arrays. More...

## Functions
AFAPI array | sort (const array &in, const unsigned dim=0, const bool isAscending=true)
| C++ Interface for sorting an array. More...
AFAPI af_err | af_sort (af_array *out, const af_array in, const unsigned dim, const bool isAscending)
| C Interface for sorting an array. More...

## Detailed Description

Sort input arrays.

Sort an multi dimensional array

## Function Documentation

AFAPI af_err af_sort | ( | af_array * | out,
|  | const af_array | in,
|  | const unsigned | dim,
|  | const bool | isAscending
| ) |  |

C Interface for sorting an array.

Parameters

  [out] | out | will contain the sorted output
  [in] | in | is the input array
  [in] | dim | The dimension along which numerical difference is performed
  [in] | isAscending | specifies the sorting order

Returns
  AF_SUCCESS if the execution completes properly

Note
  `dim` is currently restricted to 0.

AFAPI array af::sort | ( | const array & | in,
|  | const unsigned | dim = `0`,
|  | const bool | isAscending = `true`
| ) |  |

C++ Interface for sorting an array.

Parameters

  [in] | in | is the input array
  [in] | dim | The dimension along which numerical difference is performed
  [in] | isAscending | specifies the sorting order

Returns
  the sorted output

Note
  `dim` is currently restricted to 0.

Examples:
  fast.cpp, harris.cpp, helloworld.cpp, and susan.cpp.